%define rel_ver 324
%define pkg_ver 5

Summary: A Library for Support Vector Machines
Name: libsvm
Version: %{rel_ver}
Release: %{pkg_ver}
License: BSD
URL: https://www.csie.ntu.edu.tw/~cjlin/libsvm/
Source0: https://www.csie.ntu.edu.tw/~cjlin/libsvm/%{name}-%{rel_ver}.tar.gz
Patch0001:  0001-add-build-CFLAGS-g.patch

BuildRoot: %{_tmppath}/%{name}-%{rel_ver}-%{release}-root
BuildRequires: gcc, gcc-c++, make

%description
LIBSVM is an integrated software for support vector classification,
(C-SVC, nu-SVC ), regression (epsilon-SVR, nu-SVR) and distribution
estimation (one-class SVM ). It supports multi-class classification.
Provides

%prep
%setup -q
%patch0001 -p1

%build
make

%install
mkdir -p %{buildroot}/usr/bin
install -p -D svm-predict  %{buildroot}/usr/bin/ 
install -p -D svm-scale    %{buildroot}/usr/bin/ 
install -p -D svm-train    %{buildroot}/usr/bin/ 

%files
/usr/bin/svm-predict
/usr/bin/svm-scale
/usr/bin/svm-train

%clean
rm -rf %{buildroot}

%changelog
* Tue May 31 2022 zhangkea <zhangkea@uniontech.com> - 324-5
- change changlog date error

* Thu Mar 24 2022 liyanan <liyanan32@huawei.com> - 324-4
- remove %dist

* Sun Sep 12 2021 zhangtao<zhangtao221@huawei.com> - 324-3
- add CFLAGS -g and strip binary files

* Sat Sep 4 2021 hubble_zhu<hubble_zhu@qq.com> - 324-2
- modify Source0 path

* Thu Aug 27 2020 hubble_zhu<hubble_zhu@qq.com> - 324-1
- package init
